<div class="search-bar">
  <div class="field has-addons has-addons-centered is-centered">

    <div class="control research-input" [ngClass]="{'has-icons-right': searchValue}">
      <label for="home-research-dataset" class="sr-only" >Research one dataset</label><!--  -->
      <input id="home-research-dataset" type="text" class="input is-medium"  [(ngModel)]="searchValue"
              #inputSearch
             [placeholder]="searchPlaceholder" (keyup)="keyUpChanged($event.key)"
             (blur)="displayAutocomplete = false; currentAutocompleteFocus= -1;" (focus)="displayAutocompleteList()" />
      <span class="icon is-small is-right reset-research-icon" *ngIf="searchValue" (click)="resetResearch()">
        <span class="fas fa-times-circle"></span>
      </span>
      <div class="autocomplete-items" *ngIf="autocompleteIsValid"
           [ngStyle]="{'display': displayAutocomplete ? 'block' : 'none'}">
        <p *ngFor="let option of optionsAutocomplete; let i = index" (mousedown)="selectOption(option.text)"
           [ngClass]="{'isActive' : i == currentAutocompleteFocus}" [innerHTML]="option.text">

        </p>
      </div>
    </div>
    <div class="control button-research">
      <button class="button is-medium" (click)="searchChanged()" i18n-aria-label="@@research.researchButton"
              aria-label="Research">
        <span class="icon">
          <svg *ngIf="!isLoading;else spinner" viewBox="0 0 17 18" fill="none"
               xmlns="http://www.w3.org/2000/svg">
            <path
              d="M16.8031 16.6747L13.0982 12.8219C14.1776 11.4658 14.8194 9.7089 14.8194 7.82877C14.7902 3.5137 11.4938 0 7.4097 0C3.32561 0 0 3.5137 0 7.82877C0 12.1438 3.32561 15.6575 7.4097 15.6575C9.16002 15.6575 10.7937 15.0103 12.048 13.9315L15.7529 17.7842C15.8988 17.9384 16.0738 18 16.278 18C16.453 18 16.6572 17.9384 16.8031 17.7842C17.0656 17.476 17.0656 16.9829 16.8031 16.6747ZM1.4586 7.82877C1.4586 4.34589 4.11326 1.5411 7.4097 1.5411C10.7061 1.5411 13.3608 4.34589 13.3608 7.82877C13.3608 11.3116 10.7061 14.1164 7.4097 14.1164C4.11326 14.1164 1.4586 11.2808 1.4586 7.82877Z"
              fill="#464A57" />
          </svg>
          <ng-template #spinner>
            <span class="fas fa-spinner fa-spin has-text-danger"></span>
          </ng-template>
        </span>
      </button>
    </div>
  </div>

</div>
